Child pages
  • WebCenter 18.0 Client System Requirements
Skip to end of metadata
Go to start of metadata


The following are the minimum system requirements for WebCenter 18.0 Client. Exceeding these requirements will in most cases lead to a performance increase. Running WebCenter Client on a system that does not meet these requirements is not supported.

Minimum requirements for WebCenter Client (Mac)

Minimum System Requirements for WebCenter Client (Mac)
RAM

4 GB or more.

Hard disk

A minimum of available hard drive space.

Network10/100/1000 Base-T Ethernet, TCP/IP v4 protocol.
Graphics and video

Intel Mac graphics.

To use the Java Collada Viewer, check Studio Viewer requirements.
DVD drive requiredNo.
Java (Optional)

Java 1.5 or newer.

To avoid problems with Java browser plug-ins, it is recommended to use the HTML 5 Viewers (2D and 3D) and the new HTML 5 Workflow Editor.

Minimum requirements for WebCenter Client (Windows)

Minimum System Requirements for WebCenter Client (Windows)
RAM

4 GB or more.

Hard disk

A minimum of available hard drive space.

Network10/100/1000 Base-T Ethernet, TCP/IP v4 protocol.
Graphics and video

Standard PC graphics.

To use the Java Collada Viewer: check the Studio Viewer requirements.
DVD drive requiredNo.
Java (Optional)

Java 1.5 or newer.

To avoid problems with Java browser plug-ins, it is recommended to use the HTML 5 Viewers (2D and 3D) and the new HTML 5 Workflow Editor.

Supported Browsers

Recommended browsers are highlighted in green in the tables below.

If a browser is not listed here, it is not supported. Do not try to use WebCenter Client on an unsupported browser.

Version
Client Browser
Mozilla Firefox 24 or newer(tik) 
Google Chrome version 33 or newer(tik) 
Safari 10 and newer(tik)
Safari 5.1 to 9

(fout)

Significant UI and UX problems

Microsoft Edge(tik)
Internet Explorer 11(tik)
Internet Explorer 10

(fout)

Significant UI and UX problems

Internet Explorer 7 - 9

(fout)

Significant UI and UX problems

No HTML 5 Viewer (2D or 3D) or HTML 5 Workflow Editor support

Supported Operating Systems

Recommended operating systems are highlighted in green in the tables below.

If an operating system is not listed here, it is not supported. Do not try to use WebCenter Client on a computer running an unsupported operating system.

Mac OS

Edition
Client OS
10.13(High Sierra)(tik)
10.12 (Sierra)      (tik)
10.11 (El Capitán)(tik)
10.10 (Yosemite)(tik)
10.9.0 - 10.9.3 (Mavericks)(tik)
10.8.0 - 10.8.5 (Mountain Lion)(tik)
10.7.0 - 10.7.5 (Lion)(tik)
10.6.0 - 10.6.8 (Snow Leopard)(tik)
10.5.0 - 10.5.8 (Leopard)(tik)
10.4.0 - 10.4.11 (Tiger)(fout)

Windows

Edition
Client OS
Windows 10 (all editions)(tik)
Windows 8.1 (all editions)
(tik)
Windows 8 (all editions)
(tik)
Windows 7 (all editions)
(tik)
Windows Vista (all editions)(fout)
Windows XP (all editions)(fout)

Supported Mobile Operating Systems

Recommended mobile operating systems are highlighted in green in the tables below.

Due to wide range of mobile operation system versions, we are unable to test and guarantee proper user experience on every released version.
We kindly remind you that the mobile operating systems and their respective versions, listed below, have successfully passed our internal tests.

EditionClient Mobile OS
Apple iOS 9.x and newer(tik)
Android 5.0 and newer(tik)
Windows Mobile 10 and newer(tik)
System Requirements
Applies to

WebCenter Client

Version18.0
Last revised04-Apr-2018

Useful Links

Software downloads: mysoftware.esko.com

Software installation and user doc: https://www.esko.com/en/support

Contents